#
# spec file for package python-murano-pkg-check
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname murano-pkg-check
Name:           python-murano-pkg-check
Version:        0.3.0
Release:        15.1
Summary:        Murano package validator tool
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://docs.openstack.org/developer/murano/
Source0:        https://files.pythonhosted.org/packages/source/m/murano-pkg-check/murano-pkg-check-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-PyYAML
BuildRequires:  python-devel
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslotest
BuildRequires:  python-pbr
BuildRequires:  python-python-subunit
BuildRequires:  python-semantic_version
BuildRequires:  python-setuptools
BuildRequires:  python-stevedore
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
BuildRequires:  python-yaql
Requires:       python-PyYAML
Requires:       python-oslo.i18n
Requires:       python-semantic_version
Requires:       python-six
Requires:       python-stevedore
Requires:       python-yaql
BuildArch:      noarch

%description
Murano package validator tool

%prep
%autosetup -n %{sname}-%{version}
%py_req_cleanup

%build
%{py2_build}

%install
%{py2_install}

%check
%{__python2} setup.py testr

%files
%doc README.rst
%license LICENSE
%{_bindir}/murano-pkg-check
%{python2_sitelib}/muranopkgcheck
%{python2_sitelib}/*.egg-info

%changelog
